package org.keyscience.models;

public class EcoQuestModel {

    private int id;
    private int points;
    private String name;
    private String clue;
    private Double lat;
    private Double lng;
    private int maxRadius;
    private int minRadius;
    private String locationNote;
    private String educationTitle;
    private String educationDescription;
    private String educationLearnMoreURL;
    private String educationImageURL;

    public EcoQuestModel(int id, int points,
                         String name, String clue,
                         Double lat, Double lng,
                         int maxRadius, int minRadius,
                         String locationNote, String educationTitle,
                         String educationDescription, String educationLearnMoreURL,
                         String educationImageURL) {
        this.id = id;
        this.points = points;
        this.name = name;
        this.clue = clue;
        this.lat = lat;
        this.lng = lng;
        this.maxRadius = maxRadius;
        this.minRadius = minRadius;
        this.locationNote = locationNote;
        this.educationTitle = educationTitle;
        this.educationDescription = educationDescription;
        this.educationLearnMoreURL = educationLearnMoreURL;
        this.educationImageURL = educationImageURL;
    }

    public int getId() {
        return id;
    }

    public int getPoints() {
        return points;
    }

    public String getName() {
        return name;
    }

    public String getLocationNote() {
        return locationNote;
    }

    public String getEducationTitle() {
        return educationTitle;
    }

    public String getEducationDescription() {
        return educationDescription;
    }

    public String getEducationLearnMoreURL() {
        return educationLearnMoreURL;
    }

    public String getEducationImageURL() {
        return educationImageURL;
    }


    public String getClue() {
        return clue;
    }

    public Double getLat() {
        return lat;
    }

    public Double getLng() {
        return lng;
    }

    public int getMaxRadius() {
        return maxRadius;
    }

    public int getMinRadius() {
        return minRadius;
    }


}
